Data - Retrieve SLA Data
Recupera los datos de SLA para la solicitud de SLA proporcionada
POST http://<Servername>/OperationsManager/data/sla
Cuerpo de la solicitud
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nombre | Requerido | Tipo | Description |
|---|---|---|---|
| duration | True |
string |
duración |
| id | True |
string |
identificación |
| managementGroupId | True |
string |
Id. de grupo de administración |
| value | True |
integer |
valor |
Respuestas
| Nombre | Tipo | Description |
|---|---|---|
| 200 OK |
De acuerdo. Datos de SLA recuperados con éxito. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Ejemplos
RetrieveSLAData
Solicitud de ejemplo
POST http://<Servername>/OperationsManager/data/sla
{
"value": 0,
"duration": "10",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"managementGroupId": "47bc8393-fecb-9791-4b3d-fdca7cc8bc79"
}
Respuesta de muestra
{
"name": "Application Service SLA",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"slaManagedEntityRowId": 141,
"slos": [
{
"id": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"name": "Application Service SLO1",
"targetClassName": "Service"
}
]
}
Definiciones
| Nombre | Description |
|---|---|
| SLARequest | |
| SLAResponse | |
| SLOResponse |
SLARequest
| Nombre | Tipo | Description |
|---|---|---|
| duration |
string |
duración |
| id |
string |
identificación |
| managementGroupId |
string |
Id. de grupo de administración |
| value |
integer |
valor |
SLAResponse
| Nombre | Tipo | Description |
|---|---|---|
| id |
string |
SLA ID |
| name |
string |
Nombre del SLA |
| slaManagedEntityRowId |
integer |
ID de fila de entidad administrada de SLA |
| slos |
Datos de SLO |
SLOResponse
| Nombre | Tipo | Description |
|---|---|---|
| id |
string |
SLO ID |
| name |
string |
Nombre de SLO |
| targetClassName |
string |
Nombre de la clase de destino de SLO |